Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network202.3.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
202.3.0.0
Broadcast address
202.3.15.255
First usable
202.3.0.1
Last usable
202.3.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
C (default /24)
As numbers
Hex CA030000 · Integer 3389194240 to 3389198335
Reverse DNS zones
0.3.202.in-addr.arpa
1.3.202.in-addr.arpa
2.3.202.in-addr.arpa
3.3.202.in-addr.arpa
4.3.202.in-addr.arpa
5.3.202.in-addr.arpa
6.3.202.in-addr.arpa
7.3.202.in-addr.arpa
8.3.202.in-addr.arpa
9.3.202.in-addr.arpa
10.3.202.in-addr.arpa
11.3.202.in-addr.arpa
12.3.202.in-addr.arpa
13.3.202.in-addr.arpa
14.3.202.in-addr.arpa
15.3.202.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001010.00000011.00000000.00000000202.3.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11001010.00000011.00000000.00000000202.3.0.0
Broadcast11001010.00000011.00001111.11111111202.3.15.255
Split into smaller subnets/30

202.3.0.0/20 makes 1,024 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1202.3.0.0/30202.3.0.1 to 202.3.0.2202.3.0.32
2202.3.0.4/30202.3.0.5 to 202.3.0.6202.3.0.72
3202.3.0.8/30202.3.0.9 to 202.3.0.10202.3.0.112
4202.3.0.12/30202.3.0.13 to 202.3.0.14202.3.0.152
5202.3.0.16/30202.3.0.17 to 202.3.0.18202.3.0.192
6202.3.0.20/30202.3.0.21 to 202.3.0.22202.3.0.232
7202.3.0.24/30202.3.0.25 to 202.3.0.26202.3.0.272
8202.3.0.28/30202.3.0.29 to 202.3.0.30202.3.0.312
9202.3.0.32/30202.3.0.33 to 202.3.0.34202.3.0.352
10202.3.0.36/30202.3.0.37 to 202.3.0.38202.3.0.392
11202.3.0.40/30202.3.0.41 to 202.3.0.42202.3.0.432
12202.3.0.44/30202.3.0.45 to 202.3.0.46202.3.0.472
13202.3.0.48/30202.3.0.49 to 202.3.0.50202.3.0.512
14202.3.0.52/30202.3.0.53 to 202.3.0.54202.3.0.552
15202.3.0.56/30202.3.0.57 to 202.3.0.58202.3.0.592
16202.3.0.60/30202.3.0.61 to 202.3.0.62202.3.0.632
17202.3.0.64/30202.3.0.65 to 202.3.0.66202.3.0.672
18202.3.0.68/30202.3.0.69 to 202.3.0.70202.3.0.712
19202.3.0.72/30202.3.0.73 to 202.3.0.74202.3.0.752
20202.3.0.76/30202.3.0.77 to 202.3.0.78202.3.0.792
21202.3.0.80/30202.3.0.81 to 202.3.0.82202.3.0.832
22202.3.0.84/30202.3.0.85 to 202.3.0.86202.3.0.872
23202.3.0.88/30202.3.0.89 to 202.3.0.90202.3.0.912
24202.3.0.92/30202.3.0.93 to 202.3.0.94202.3.0.952
25202.3.0.96/30202.3.0.97 to 202.3.0.98202.3.0.992
26202.3.0.100/30202.3.0.101 to 202.3.0.102202.3.0.1032
27202.3.0.104/30202.3.0.105 to 202.3.0.106202.3.0.1072
28202.3.0.108/30202.3.0.109 to 202.3.0.110202.3.0.1112
29202.3.0.112/30202.3.0.113 to 202.3.0.114202.3.0.1152
30202.3.0.116/30202.3.0.117 to 202.3.0.118202.3.0.1192
31202.3.0.120/30202.3.0.121 to 202.3.0.122202.3.0.1232
32202.3.0.124/30202.3.0.125 to 202.3.0.126202.3.0.1272
33202.3.0.128/30202.3.0.129 to 202.3.0.130202.3.0.1312
34202.3.0.132/30202.3.0.133 to 202.3.0.134202.3.0.1352
35202.3.0.136/30202.3.0.137 to 202.3.0.138202.3.0.1392
36202.3.0.140/30202.3.0.141 to 202.3.0.142202.3.0.1432
37202.3.0.144/30202.3.0.145 to 202.3.0.146202.3.0.1472
38202.3.0.148/30202.3.0.149 to 202.3.0.150202.3.0.1512
39202.3.0.152/30202.3.0.153 to 202.3.0.154202.3.0.1552
40202.3.0.156/30202.3.0.157 to 202.3.0.158202.3.0.1592
41202.3.0.160/30202.3.0.161 to 202.3.0.162202.3.0.1632
42202.3.0.164/30202.3.0.165 to 202.3.0.166202.3.0.1672
43202.3.0.168/30202.3.0.169 to 202.3.0.170202.3.0.1712
44202.3.0.172/30202.3.0.173 to 202.3.0.174202.3.0.1752
45202.3.0.176/30202.3.0.177 to 202.3.0.178202.3.0.1792
46202.3.0.180/30202.3.0.181 to 202.3.0.182202.3.0.1832
47202.3.0.184/30202.3.0.185 to 202.3.0.186202.3.0.1872
48202.3.0.188/30202.3.0.189 to 202.3.0.190202.3.0.1912
49202.3.0.192/30202.3.0.193 to 202.3.0.194202.3.0.1952
50202.3.0.196/30202.3.0.197 to 202.3.0.198202.3.0.1992
51202.3.0.200/30202.3.0.201 to 202.3.0.202202.3.0.2032
52202.3.0.204/30202.3.0.205 to 202.3.0.206202.3.0.2072
53202.3.0.208/30202.3.0.209 to 202.3.0.210202.3.0.2112
54202.3.0.212/30202.3.0.213 to 202.3.0.214202.3.0.2152
55202.3.0.216/30202.3.0.217 to 202.3.0.218202.3.0.2192
56202.3.0.220/30202.3.0.221 to 202.3.0.222202.3.0.2232
57202.3.0.224/30202.3.0.225 to 202.3.0.226202.3.0.2272
58202.3.0.228/30202.3.0.229 to 202.3.0.230202.3.0.2312
59202.3.0.232/30202.3.0.233 to 202.3.0.234202.3.0.2352
60202.3.0.236/30202.3.0.237 to 202.3.0.238202.3.0.2392
61202.3.0.240/30202.3.0.241 to 202.3.0.242202.3.0.2432
62202.3.0.244/30202.3.0.245 to 202.3.0.246202.3.0.2472
63202.3.0.248/30202.3.0.249 to 202.3.0.250202.3.0.2512
64202.3.0.252/30202.3.0.253 to 202.3.0.254202.3.0.2552
65202.3.1.0/30202.3.1.1 to 202.3.1.2202.3.1.32
66202.3.1.4/30202.3.1.5 to 202.3.1.6202.3.1.72
67202.3.1.8/30202.3.1.9 to 202.3.1.10202.3.1.112
68202.3.1.12/30202.3.1.13 to 202.3.1.14202.3.1.152
69202.3.1.16/30202.3.1.17 to 202.3.1.18202.3.1.192
70202.3.1.20/30202.3.1.21 to 202.3.1.22202.3.1.232
71202.3.1.24/30202.3.1.25 to 202.3.1.26202.3.1.272
72202.3.1.28/30202.3.1.29 to 202.3.1.30202.3.1.312
73202.3.1.32/30202.3.1.33 to 202.3.1.34202.3.1.352
74202.3.1.36/30202.3.1.37 to 202.3.1.38202.3.1.392
75202.3.1.40/30202.3.1.41 to 202.3.1.42202.3.1.432
76202.3.1.44/30202.3.1.45 to 202.3.1.46202.3.1.472
77202.3.1.48/30202.3.1.49 to 202.3.1.50202.3.1.512
78202.3.1.52/30202.3.1.53 to 202.3.1.54202.3.1.552
79202.3.1.56/30202.3.1.57 to 202.3.1.58202.3.1.592
80202.3.1.60/30202.3.1.61 to 202.3.1.62202.3.1.632
81202.3.1.64/30202.3.1.65 to 202.3.1.66202.3.1.672
82202.3.1.68/30202.3.1.69 to 202.3.1.70202.3.1.712
83202.3.1.72/30202.3.1.73 to 202.3.1.74202.3.1.752
84202.3.1.76/30202.3.1.77 to 202.3.1.78202.3.1.792
85202.3.1.80/30202.3.1.81 to 202.3.1.82202.3.1.832
86202.3.1.84/30202.3.1.85 to 202.3.1.86202.3.1.872
87202.3.1.88/30202.3.1.89 to 202.3.1.90202.3.1.912
88202.3.1.92/30202.3.1.93 to 202.3.1.94202.3.1.952
89202.3.1.96/30202.3.1.97 to 202.3.1.98202.3.1.992
90202.3.1.100/30202.3.1.101 to 202.3.1.102202.3.1.1032
91202.3.1.104/30202.3.1.105 to 202.3.1.106202.3.1.1072
92202.3.1.108/30202.3.1.109 to 202.3.1.110202.3.1.1112
93202.3.1.112/30202.3.1.113 to 202.3.1.114202.3.1.1152
94202.3.1.116/30202.3.1.117 to 202.3.1.118202.3.1.1192
95202.3.1.120/30202.3.1.121 to 202.3.1.122202.3.1.1232
96202.3.1.124/30202.3.1.125 to 202.3.1.126202.3.1.1272
97202.3.1.128/30202.3.1.129 to 202.3.1.130202.3.1.1312
98202.3.1.132/30202.3.1.133 to 202.3.1.134202.3.1.1352
99202.3.1.136/30202.3.1.137 to 202.3.1.138202.3.1.1392
100202.3.1.140/30202.3.1.141 to 202.3.1.142202.3.1.1432
101202.3.1.144/30202.3.1.145 to 202.3.1.146202.3.1.1472
102202.3.1.148/30202.3.1.149 to 202.3.1.150202.3.1.1512
103202.3.1.152/30202.3.1.153 to 202.3.1.154202.3.1.1552
104202.3.1.156/30202.3.1.157 to 202.3.1.158202.3.1.1592
105202.3.1.160/30202.3.1.161 to 202.3.1.162202.3.1.1632
106202.3.1.164/30202.3.1.165 to 202.3.1.166202.3.1.1672
107202.3.1.168/30202.3.1.169 to 202.3.1.170202.3.1.1712
108202.3.1.172/30202.3.1.173 to 202.3.1.174202.3.1.1752
109202.3.1.176/30202.3.1.177 to 202.3.1.178202.3.1.1792
110202.3.1.180/30202.3.1.181 to 202.3.1.182202.3.1.1832
111202.3.1.184/30202.3.1.185 to 202.3.1.186202.3.1.1872
112202.3.1.188/30202.3.1.189 to 202.3.1.190202.3.1.1912
113202.3.1.192/30202.3.1.193 to 202.3.1.194202.3.1.1952
114202.3.1.196/30202.3.1.197 to 202.3.1.198202.3.1.1992
115202.3.1.200/30202.3.1.201 to 202.3.1.202202.3.1.2032
116202.3.1.204/30202.3.1.205 to 202.3.1.206202.3.1.2072
117202.3.1.208/30202.3.1.209 to 202.3.1.210202.3.1.2112
118202.3.1.212/30202.3.1.213 to 202.3.1.214202.3.1.2152
119202.3.1.216/30202.3.1.217 to 202.3.1.218202.3.1.2192
120202.3.1.220/30202.3.1.221 to 202.3.1.222202.3.1.2232
121202.3.1.224/30202.3.1.225 to 202.3.1.226202.3.1.2272
122202.3.1.228/30202.3.1.229 to 202.3.1.230202.3.1.2312
123202.3.1.232/30202.3.1.233 to 202.3.1.234202.3.1.2352
124202.3.1.236/30202.3.1.237 to 202.3.1.238202.3.1.2392
125202.3.1.240/30202.3.1.241 to 202.3.1.242202.3.1.2432
126202.3.1.244/30202.3.1.245 to 202.3.1.246202.3.1.2472
127202.3.1.248/30202.3.1.249 to 202.3.1.250202.3.1.2512
128202.3.1.252/30202.3.1.253 to 202.3.1.254202.3.1.2552
129202.3.2.0/30202.3.2.1 to 202.3.2.2202.3.2.32
130202.3.2.4/30202.3.2.5 to 202.3.2.6202.3.2.72
131202.3.2.8/30202.3.2.9 to 202.3.2.10202.3.2.112
132202.3.2.12/30202.3.2.13 to 202.3.2.14202.3.2.152
133202.3.2.16/30202.3.2.17 to 202.3.2.18202.3.2.192
134202.3.2.20/30202.3.2.21 to 202.3.2.22202.3.2.232
135202.3.2.24/30202.3.2.25 to 202.3.2.26202.3.2.272
136202.3.2.28/30202.3.2.29 to 202.3.2.30202.3.2.312
137202.3.2.32/30202.3.2.33 to 202.3.2.34202.3.2.352
138202.3.2.36/30202.3.2.37 to 202.3.2.38202.3.2.392
139202.3.2.40/30202.3.2.41 to 202.3.2.42202.3.2.432
140202.3.2.44/30202.3.2.45 to 202.3.2.46202.3.2.472
141202.3.2.48/30202.3.2.49 to 202.3.2.50202.3.2.512
142202.3.2.52/30202.3.2.53 to 202.3.2.54202.3.2.552
143202.3.2.56/30202.3.2.57 to 202.3.2.58202.3.2.592
144202.3.2.60/30202.3.2.61 to 202.3.2.62202.3.2.632
145202.3.2.64/30202.3.2.65 to 202.3.2.66202.3.2.672
146202.3.2.68/30202.3.2.69 to 202.3.2.70202.3.2.712
147202.3.2.72/30202.3.2.73 to 202.3.2.74202.3.2.752
148202.3.2.76/30202.3.2.77 to 202.3.2.78202.3.2.792
149202.3.2.80/30202.3.2.81 to 202.3.2.82202.3.2.832
150202.3.2.84/30202.3.2.85 to 202.3.2.86202.3.2.872
151202.3.2.88/30202.3.2.89 to 202.3.2.90202.3.2.912
152202.3.2.92/30202.3.2.93 to 202.3.2.94202.3.2.952
153202.3.2.96/30202.3.2.97 to 202.3.2.98202.3.2.992
154202.3.2.100/30202.3.2.101 to 202.3.2.102202.3.2.1032
155202.3.2.104/30202.3.2.105 to 202.3.2.106202.3.2.1072
156202.3.2.108/30202.3.2.109 to 202.3.2.110202.3.2.1112
157202.3.2.112/30202.3.2.113 to 202.3.2.114202.3.2.1152
158202.3.2.116/30202.3.2.117 to 202.3.2.118202.3.2.1192
159202.3.2.120/30202.3.2.121 to 202.3.2.122202.3.2.1232
160202.3.2.124/30202.3.2.125 to 202.3.2.126202.3.2.1272
161202.3.2.128/30202.3.2.129 to 202.3.2.130202.3.2.1312
162202.3.2.132/30202.3.2.133 to 202.3.2.134202.3.2.1352
163202.3.2.136/30202.3.2.137 to 202.3.2.138202.3.2.1392
164202.3.2.140/30202.3.2.141 to 202.3.2.142202.3.2.1432
165202.3.2.144/30202.3.2.145 to 202.3.2.146202.3.2.1472
166202.3.2.148/30202.3.2.149 to 202.3.2.150202.3.2.1512
167202.3.2.152/30202.3.2.153 to 202.3.2.154202.3.2.1552
168202.3.2.156/30202.3.2.157 to 202.3.2.158202.3.2.1592
169202.3.2.160/30202.3.2.161 to 202.3.2.162202.3.2.1632
170202.3.2.164/30202.3.2.165 to 202.3.2.166202.3.2.1672
171202.3.2.168/30202.3.2.169 to 202.3.2.170202.3.2.1712
172202.3.2.172/30202.3.2.173 to 202.3.2.174202.3.2.1752
173202.3.2.176/30202.3.2.177 to 202.3.2.178202.3.2.1792
174202.3.2.180/30202.3.2.181 to 202.3.2.182202.3.2.1832
175202.3.2.184/30202.3.2.185 to 202.3.2.186202.3.2.1872
176202.3.2.188/30202.3.2.189 to 202.3.2.190202.3.2.1912
177202.3.2.192/30202.3.2.193 to 202.3.2.194202.3.2.1952
178202.3.2.196/30202.3.2.197 to 202.3.2.198202.3.2.1992
179202.3.2.200/30202.3.2.201 to 202.3.2.202202.3.2.2032
180202.3.2.204/30202.3.2.205 to 202.3.2.206202.3.2.2072
181202.3.2.208/30202.3.2.209 to 202.3.2.210202.3.2.2112
182202.3.2.212/30202.3.2.213 to 202.3.2.214202.3.2.2152
183202.3.2.216/30202.3.2.217 to 202.3.2.218202.3.2.2192
184202.3.2.220/30202.3.2.221 to 202.3.2.222202.3.2.2232
185202.3.2.224/30202.3.2.225 to 202.3.2.226202.3.2.2272
186202.3.2.228/30202.3.2.229 to 202.3.2.230202.3.2.2312
187202.3.2.232/30202.3.2.233 to 202.3.2.234202.3.2.2352
188202.3.2.236/30202.3.2.237 to 202.3.2.238202.3.2.2392
189202.3.2.240/30202.3.2.241 to 202.3.2.242202.3.2.2432
190202.3.2.244/30202.3.2.245 to 202.3.2.246202.3.2.2472
191202.3.2.248/30202.3.2.249 to 202.3.2.250202.3.2.2512
192202.3.2.252/30202.3.2.253 to 202.3.2.254202.3.2.2552
193202.3.3.0/30202.3.3.1 to 202.3.3.2202.3.3.32
194202.3.3.4/30202.3.3.5 to 202.3.3.6202.3.3.72
195202.3.3.8/30202.3.3.9 to 202.3.3.10202.3.3.112
196202.3.3.12/30202.3.3.13 to 202.3.3.14202.3.3.152
197202.3.3.16/30202.3.3.17 to 202.3.3.18202.3.3.192
198202.3.3.20/30202.3.3.21 to 202.3.3.22202.3.3.232
199202.3.3.24/30202.3.3.25 to 202.3.3.26202.3.3.272
200202.3.3.28/30202.3.3.29 to 202.3.3.30202.3.3.312
201202.3.3.32/30202.3.3.33 to 202.3.3.34202.3.3.352
202202.3.3.36/30202.3.3.37 to 202.3.3.38202.3.3.392
203202.3.3.40/30202.3.3.41 to 202.3.3.42202.3.3.432
204202.3.3.44/30202.3.3.45 to 202.3.3.46202.3.3.472
205202.3.3.48/30202.3.3.49 to 202.3.3.50202.3.3.512
206202.3.3.52/30202.3.3.53 to 202.3.3.54202.3.3.552
207202.3.3.56/30202.3.3.57 to 202.3.3.58202.3.3.592
208202.3.3.60/30202.3.3.61 to 202.3.3.62202.3.3.632
209202.3.3.64/30202.3.3.65 to 202.3.3.66202.3.3.672
210202.3.3.68/30202.3.3.69 to 202.3.3.70202.3.3.712
211202.3.3.72/30202.3.3.73 to 202.3.3.74202.3.3.752
212202.3.3.76/30202.3.3.77 to 202.3.3.78202.3.3.792
213202.3.3.80/30202.3.3.81 to 202.3.3.82202.3.3.832
214202.3.3.84/30202.3.3.85 to 202.3.3.86202.3.3.872
215202.3.3.88/30202.3.3.89 to 202.3.3.90202.3.3.912
216202.3.3.92/30202.3.3.93 to 202.3.3.94202.3.3.952
217202.3.3.96/30202.3.3.97 to 202.3.3.98202.3.3.992
218202.3.3.100/30202.3.3.101 to 202.3.3.102202.3.3.1032
219202.3.3.104/30202.3.3.105 to 202.3.3.106202.3.3.1072
220202.3.3.108/30202.3.3.109 to 202.3.3.110202.3.3.1112
221202.3.3.112/30202.3.3.113 to 202.3.3.114202.3.3.1152
222202.3.3.116/30202.3.3.117 to 202.3.3.118202.3.3.1192
223202.3.3.120/30202.3.3.121 to 202.3.3.122202.3.3.1232
224202.3.3.124/30202.3.3.125 to 202.3.3.126202.3.3.1272
225202.3.3.128/30202.3.3.129 to 202.3.3.130202.3.3.1312
226202.3.3.132/30202.3.3.133 to 202.3.3.134202.3.3.1352
227202.3.3.136/30202.3.3.137 to 202.3.3.138202.3.3.1392
228202.3.3.140/30202.3.3.141 to 202.3.3.142202.3.3.1432
229202.3.3.144/30202.3.3.145 to 202.3.3.146202.3.3.1472
230202.3.3.148/30202.3.3.149 to 202.3.3.150202.3.3.1512
231202.3.3.152/30202.3.3.153 to 202.3.3.154202.3.3.1552
232202.3.3.156/30202.3.3.157 to 202.3.3.158202.3.3.1592
233202.3.3.160/30202.3.3.161 to 202.3.3.162202.3.3.1632
234202.3.3.164/30202.3.3.165 to 202.3.3.166202.3.3.1672
235202.3.3.168/30202.3.3.169 to 202.3.3.170202.3.3.1712
236202.3.3.172/30202.3.3.173 to 202.3.3.174202.3.3.1752
237202.3.3.176/30202.3.3.177 to 202.3.3.178202.3.3.1792
238202.3.3.180/30202.3.3.181 to 202.3.3.182202.3.3.1832
239202.3.3.184/30202.3.3.185 to 202.3.3.186202.3.3.1872
240202.3.3.188/30202.3.3.189 to 202.3.3.190202.3.3.1912
241202.3.3.192/30202.3.3.193 to 202.3.3.194202.3.3.1952
242202.3.3.196/30202.3.3.197 to 202.3.3.198202.3.3.1992
243202.3.3.200/30202.3.3.201 to 202.3.3.202202.3.3.2032
244202.3.3.204/30202.3.3.205 to 202.3.3.206202.3.3.2072
245202.3.3.208/30202.3.3.209 to 202.3.3.210202.3.3.2112
246202.3.3.212/30202.3.3.213 to 202.3.3.214202.3.3.2152
247202.3.3.216/30202.3.3.217 to 202.3.3.218202.3.3.2192
248202.3.3.220/30202.3.3.221 to 202.3.3.222202.3.3.2232
249202.3.3.224/30202.3.3.225 to 202.3.3.226202.3.3.2272
250202.3.3.228/30202.3.3.229 to 202.3.3.230202.3.3.2312
251202.3.3.232/30202.3.3.233 to 202.3.3.234202.3.3.2352
252202.3.3.236/30202.3.3.237 to 202.3.3.238202.3.3.2392
253202.3.3.240/30202.3.3.241 to 202.3.3.242202.3.3.2432
254202.3.3.244/30202.3.3.245 to 202.3.3.246202.3.3.2472
255202.3.3.248/30202.3.3.249 to 202.3.3.250202.3.3.2512
256202.3.3.252/30202.3.3.253 to 202.3.3.254202.3.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses